Subject: Re: Hardcoded Hash_base?

From: Kent Borg <[email-masked]>
Date: Thu, 13 Mar 2003 17:06:20 -0500

On Thu, Mar 13, 2003 at 12:44:50PM -0500, Jean-Denis Boyer wrote:
>
> > In arch/ppc/mm/hashtable.S Hash_base is hardcoded at 0xc0180000, with
> > a comment suggesting that that value is "just an example".  It seems
> > to be colliding with my initrd, so I am thinking I want to move it.
>
> As the comment says, this code is patched at runtime.
> It is done by MMU_init_hw, in arch/ppc/mm/ppc_mmu.c.
> The value of Hash_base could be anything, it doesn't matter.

I guess it does say that.  I my eyes glazed over the several times I
tried to understand the comment right before that.

Thanks,

-kb

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/